Debian Bug report logs - #685445
[INTL:da] Danish translation of the debconf templates live-build

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Joe Dalton <joedalton2@yahoo.dk>

Date: Mon, 20 Aug 2012 20:42:01 UTC

Severity: wishlist

Tags: l10n, patch

Found in version live-build/3.0~a51-1

Fixed in version 3.0~a52-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Mon, 20 Aug 2012 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe Dalton <joedalton2@yahoo.dk>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 20 Aug 2012 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joe Dalton <joedalton2@yahoo.dk>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Cc: "debian-l10n-danish@lists.debian.org" <debian-l10n-danish@lists.debian.org>
Subject: [INTL:da] Danish translation of the debconf templates live-build
Date: Mon, 20 Aug 2012 21:39:22 +0100 (BST)
[Message part 1 (text/plain, inline)]
Package: live-build
Severity: wishlist
Tags: l10n patch

Please include the attached Danish live-build 3.0~a51-1 translations.

joe@pc:~/over/debian/live-build$ msgfmt --statistics -c -v -o /dev/null da.po
da.po: 34 oversatte tekster.

bye
Joe
[da.po (application/octet-stream, attachment)]

Information stored :
Bug#685445; Package live-build. (Mon, 20 Aug 2012 21:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 20 Aug 2012 21:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 685445-quiet@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: live-build@packages.debian.org, debian-i18n@lists.debian.org
Cc: 685445-quiet@bugs.debian.org
Subject: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Mon, 20 Aug 2012 17:10:09 -0400
[Message part 1 (text/plain, inline)]
Control: found -1 3.0~a51-1

Dear Debian maintainer,

(“oh no, not another one”…)

The live-build Debian package, which you are the maintainer of, has
pending bug reports which include translation updates or fixes for
po-debconf, namely bug number 685445 (and maybe other similar bugs).

The i18n team is now hunting the very last bits of missing localization
and your package went on our radar. You may have uploaded recently but,
unfortunately for you, you then got *another* l10n bug report. We
really should prevent translators from translating...:-)

So, sorry for this, but the radar beeped at your package and here am I
with an NMU intent...:-)

I noticed they are actually fixed in unstable, but the 3.0~a57-1 version
contains changes that are not in line with the freeze policy, and I
couldn't find any trace of pre-approval or unblock request, thus the
intent to fix them via t-p-u.

In case you can't update your package, I hereby propose, as part of
a more general action of the Debian i18n Task Force to build and
possibly upload a non-maintainer upload for this package in order to
fix this as well as all pending translations for the documentation
and debconf templates.

Of course, an upload made by you would even be better...:-)

Such changes are always harmless, which explains why I safely consider
building NMU's for such issues even though they're obviously non critical..

The schedule for the NMU (in case it happens, that is if you agree with
it or if I don't receive any answer in 3 days) is roughly the following:

 Monday, August 20, 2012      :	send this notice
 Thursday, August 23, 2012    :	build the package, ask the RT to
			approve a t-p-u upload and send it to
			DELAYED/7-day*, send the NMU patch to the BTS.
 Thursday, August 30, 2012   :	NMU reaches incoming

* or its equivalent, depending on how long the RT handle the t-p-u request.

In case I upload an NMU, I will subscribe to the Package Tracking System
for this package and follow its life for 60 days after my NMU in order
to fix any issue potentially introduced by my upload.

Let me know, as soon as possible, if you have any kind of objection to
this process.

If you'd rather do the fix yourself, I will of course leave the package
alone. Same if you have reasons not to do the update now.

Regards

David



[signature.asc (application/pgp-signature, attachment)]

Marked as found in versions live-build/3.0~a51-1. Request was from David Prévot <taffit@debian.org> to 685445-quiet@bugs.debian.org. (Mon, 20 Aug 2012 21:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Tue, 21 Aug 2012 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 21 Aug 2012 05:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 685445@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: David Prévot <taffit@debian.org>
Cc: 685445@bugs.debian.org
Subject: Re: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Tue, 21 Aug 2012 07:12:50 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 08/20/2012 11:10 PM, David Prévot wrote:
> I noticed they are actually fixed in unstable, but the 3.0~a57-1
> version contains changes that are not in line with the freeze
> policy, and I couldn't find any trace of pre-approval or unblock
> request, thus the intent to fix them via t-p-u.

the current live-* stuff will migrated to testing eventually when
ready, do *not* touch any of these packages.

- -- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAlAzGNIACgkQ+C5cwEsrK57FKwCePs+kEHcsb4Y3E6GS62622+gx
CzkAnjwSDD7H8A3C/Tf8sbEyRtSZ0jtU
=Wm0e
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Tue, 21 Aug 2012 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 21 Aug 2012 09:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 685445@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net, David Prévot <taffit@debian.org>
Cc: 685445@bugs.debian.org
Subject: Re: Bug#685445: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Tue, 21 Aug 2012 10:58:40 +0200
Hi,

Daniel Baumann wrote (21 Aug 2012 05:12:50 GMT) :
> On 08/20/2012 11:10 PM, David Prévot wrote:
>> I noticed they are actually fixed in unstable, but the 3.0~a57-1
>> version contains changes that are not in line with the freeze
>> policy, and I couldn't find any trace of pre-approval or unblock
>> request, thus the intent to fix them via t-p-u.

> the current live-* stuff will migrated to testing eventually when
> ready, do *not* touch any of these packages.

David: AFAIUI, the rationale is that live-* depends much on the rest
of Debian, so some things have to be adapted at the last minute, i.e.
after the freeze. This special relationship between live-* and the
freeze may be worth discussing for Jessie+1, but I think it's too late
as far as Wheezy is concerned.

Daniel: given live-* is a special case in a way that makes the
standard timeline of l10n work non-applicable, what about providing
them l10n with some kind of custom timeline (a bit more detailed than
"eventually") that helps them schedule their work?

Perhaps I'm wrong and it would not help, in which case, David please
correct me :)

Thank you all for working hard on Wheezy.

Cheers!
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Tue, 21 Aug 2012 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 21 Aug 2012 09:21:06 GMT) Full text and rfc822 format available.

Message #27 received at 685445@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: David Prévot <taffit@debian.org>, 685445@bugs.debian.org
Subject: Re: Bug#685445: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Tue, 21 Aug 2012 11:18:21 +0200
On 08/21/2012 10:58 AM, intrigeri wrote:
> Daniel: given live-* is a special case in a way that makes the
> standard timeline of l10n work non-applicable, what about providing
> them l10n with some kind of custom timeline (a bit more detailed than
> "eventually") that helps them schedule their work?

hm?

first of all, the only bug we're talking about (#685445; there's no 
other l10n related stuff that is not already present in testing) was 
filled on 2012-08-20 20:39 UTC, the intend to NMU to fix it in testing 
(eventhough it's not 'fixed' in unstable yet!) follows on 2012-08-20 
21:10 UTC. i do not see any reason for this rush.

the only thing that matters to l10n is that this is taken care of and 
that this Danish debconf update makes it to wheezy, which i'm confident 
that it will, either way.

so, again, thanks for your concern, but we'll take it from here.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Tue, 21 Aug 2012 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 21 Aug 2012 15:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 685445@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: intrigeri <intrigeri+debian-live@boum.org>, 685445@bugs.debian.org
Subject: Re: Bug#685445: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Tue, 21 Aug 2012 11:09:00 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi Daniel, intrigeri,

Le 21/08/2012 05:18, Daniel Baumann a écrit :

> first of all, the only bug we're talking about (#685445; there's no
> other l10n related stuff that is not already present in testing) was
> filled on 2012-08-20 20:39 UTC, the intend to NMU to fix it in testing
> (eventhough it's not 'fixed' in unstable yet!) follows on 2012-08-20
> 21:10 UTC. i do not see any reason for this rush.

Sorry about it: as you may have noticed, the debconf screens should soon
be fully translated in seven language for Wheezy, and Danish is really
close to be the eighth language. After taking care of the translations
that were ready in the BTS for quite some time, I spotted a few
translations missing in Wheezy and asked the translators if they could
do something about it. Since they were really quick to provide the last
bits of missing translation, I went for them, and asked for an upload to
make sure, as you understood,
> that this Danish debconf update makes it to wheezy, which i'm confident
> that it will, either way.

So thanks Daniel for your quick answer, and sorry if I sounded like I
was rushing stuff.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQM6SLAAoJELgqIXr9/gnyV9cP/2B7GRrYlNRQdbOVvO9ZH4Ra
9Iq6rbIP7wJRuAvhDQ2lUKerZN2u6YHOog3NvJGW1GJnFMNwI9yPymim5E98tOAf
O4ONW+wIHOqyuh1vPksm0N6Ujo9uMN9pXq38eC4WFf/IsIlN8dUafJVB2zOMGuNH
8U+vjLCWWkiF3OlvdCNw49VDfLwcsJ3MnQKminGnA8Y2SbatMWP5fiIzC1/yAMuy
gbEMRWN4DreHXV3CvfmjqBufzHX7HOlnzm7eJdM1thp2xkNXz7KkbWlYs0y2uLgl
bzXVkYG7YhnSlMuai9sKPTHHs19Qf16LlUKY0OP2a/in4vdwqA6+G5kfApz5zJHs
/ReyqzDro4nSs2b54c/j+Qe3lESEG8BO5QMHQwHQW6ypoBCMhx03QZZWoj7HBq/w
H/2JFBzo25qjkYXFlL/Y2/TnE3Xikn9xQXwe5shSo8FVGrf1FQkcDhf7pyghEFki
4jiczcd1lQ3pUZZCE/Z1cu3UwF0Q6WTUWyhFxihZpqThl1a/6rLNpcFCEE/mY56l
Vv4aQ1IftQ7DYmWmYSHlUCgtZiiAUbxAjP9D7TgXrVurnyoqY2e6C/OEqZCeW4xv
cdkMS8mu4j3BSLVUzSIMPycs1e4Q+MbheK/3Sd3A+eNegKgQCiHavF+w780QpqGj
jI39KaQW98SVym+rsmBV
=xO8U
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685445; Package live-build. (Tue, 21 Aug 2012 15:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 21 Aug 2012 15:36:12 GMT) Full text and rfc822 format available.

Message #37 received at 685445@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: David Prévot <taffit@debian.org>
Cc: 685445@bugs.debian.org
Subject: Re: Bug#685445: Exploring the possibility of an l10n upload of live-build to fix pending po-debconf l10n bugs
Date: Tue, 21 Aug 2012 17:35:16 +0200
On 08/21/2012 05:09 PM, David Prévot wrote:
> sorry if I sounded like I was rushing stuff.

for any other package, the 'rush' would be the right thing to do, just 
not for this, as it's somewhat 'special' and you couldn't know, so 
nothing to be sorry for.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Mon, 27 Aug 2012 11:00:07 GMT) Full text and rfc822 format available.

Notification sent to Joe Dalton <joedalton2@yahoo.dk>:
Bug acknowledged by developer. (Mon, 27 Aug 2012 11:00:07 GMT) Full text and rfc822 format available.

Message #42 received at 685445-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 685445-done@bugs.debian.org
Subject: Re: [INTL:da] Danish translation of the debconf templates live-build
Date: Mon, 27 Aug 2012 12:57:51 +0200
Version: 3.0~a52-1

in fact, the po stuff has been removed in 3.0~52-1 on 2012-07-12 so 
there's nothing to apply, closing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:26:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:58:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.